Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.3.72.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
40.3.72.0
Broadcast address
40.3.79.255
First usable
40.3.72.1
Last usable
40.3.79.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Public public
Old class
A (default /8)
As numbers
Hex 28034800 · Integer 671303680 to 671305727
Reverse DNS zones
72.3.40.in-addr.arpa
73.3.40.in-addr.arpa
74.3.40.in-addr.arpa
75.3.40.in-addr.arpa
76.3.40.in-addr.arpa
77.3.40.in-addr.arpa
78.3.40.in-addr.arpa
79.3.40.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.00000011.01001000.0000000040.3.72.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network00101000.00000011.01001000.0000000040.3.72.0
Broadcast00101000.00000011.01001111.1111111140.3.79.255
Split into smaller subnets/28

40.3.72.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.3.72.0/2840.3.72.1 to 40.3.72.1440.3.72.1514
240.3.72.16/2840.3.72.17 to 40.3.72.3040.3.72.3114
340.3.72.32/2840.3.72.33 to 40.3.72.4640.3.72.4714
440.3.72.48/2840.3.72.49 to 40.3.72.6240.3.72.6314
540.3.72.64/2840.3.72.65 to 40.3.72.7840.3.72.7914
640.3.72.80/2840.3.72.81 to 40.3.72.9440.3.72.9514
740.3.72.96/2840.3.72.97 to 40.3.72.11040.3.72.11114
840.3.72.112/2840.3.72.113 to 40.3.72.12640.3.72.12714
940.3.72.128/2840.3.72.129 to 40.3.72.14240.3.72.14314
1040.3.72.144/2840.3.72.145 to 40.3.72.15840.3.72.15914
1140.3.72.160/2840.3.72.161 to 40.3.72.17440.3.72.17514
1240.3.72.176/2840.3.72.177 to 40.3.72.19040.3.72.19114
1340.3.72.192/2840.3.72.193 to 40.3.72.20640.3.72.20714
1440.3.72.208/2840.3.72.209 to 40.3.72.22240.3.72.22314
1540.3.72.224/2840.3.72.225 to 40.3.72.23840.3.72.23914
1640.3.72.240/2840.3.72.241 to 40.3.72.25440.3.72.25514
1740.3.73.0/2840.3.73.1 to 40.3.73.1440.3.73.1514
1840.3.73.16/2840.3.73.17 to 40.3.73.3040.3.73.3114
1940.3.73.32/2840.3.73.33 to 40.3.73.4640.3.73.4714
2040.3.73.48/2840.3.73.49 to 40.3.73.6240.3.73.6314
2140.3.73.64/2840.3.73.65 to 40.3.73.7840.3.73.7914
2240.3.73.80/2840.3.73.81 to 40.3.73.9440.3.73.9514
2340.3.73.96/2840.3.73.97 to 40.3.73.11040.3.73.11114
2440.3.73.112/2840.3.73.113 to 40.3.73.12640.3.73.12714
2540.3.73.128/2840.3.73.129 to 40.3.73.14240.3.73.14314
2640.3.73.144/2840.3.73.145 to 40.3.73.15840.3.73.15914
2740.3.73.160/2840.3.73.161 to 40.3.73.17440.3.73.17514
2840.3.73.176/2840.3.73.177 to 40.3.73.19040.3.73.19114
2940.3.73.192/2840.3.73.193 to 40.3.73.20640.3.73.20714
3040.3.73.208/2840.3.73.209 to 40.3.73.22240.3.73.22314
3140.3.73.224/2840.3.73.225 to 40.3.73.23840.3.73.23914
3240.3.73.240/2840.3.73.241 to 40.3.73.25440.3.73.25514
3340.3.74.0/2840.3.74.1 to 40.3.74.1440.3.74.1514
3440.3.74.16/2840.3.74.17 to 40.3.74.3040.3.74.3114
3540.3.74.32/2840.3.74.33 to 40.3.74.4640.3.74.4714
3640.3.74.48/2840.3.74.49 to 40.3.74.6240.3.74.6314
3740.3.74.64/2840.3.74.65 to 40.3.74.7840.3.74.7914
3840.3.74.80/2840.3.74.81 to 40.3.74.9440.3.74.9514
3940.3.74.96/2840.3.74.97 to 40.3.74.11040.3.74.11114
4040.3.74.112/2840.3.74.113 to 40.3.74.12640.3.74.12714
4140.3.74.128/2840.3.74.129 to 40.3.74.14240.3.74.14314
4240.3.74.144/2840.3.74.145 to 40.3.74.15840.3.74.15914
4340.3.74.160/2840.3.74.161 to 40.3.74.17440.3.74.17514
4440.3.74.176/2840.3.74.177 to 40.3.74.19040.3.74.19114
4540.3.74.192/2840.3.74.193 to 40.3.74.20640.3.74.20714
4640.3.74.208/2840.3.74.209 to 40.3.74.22240.3.74.22314
4740.3.74.224/2840.3.74.225 to 40.3.74.23840.3.74.23914
4840.3.74.240/2840.3.74.241 to 40.3.74.25440.3.74.25514
4940.3.75.0/2840.3.75.1 to 40.3.75.1440.3.75.1514
5040.3.75.16/2840.3.75.17 to 40.3.75.3040.3.75.3114
5140.3.75.32/2840.3.75.33 to 40.3.75.4640.3.75.4714
5240.3.75.48/2840.3.75.49 to 40.3.75.6240.3.75.6314
5340.3.75.64/2840.3.75.65 to 40.3.75.7840.3.75.7914
5440.3.75.80/2840.3.75.81 to 40.3.75.9440.3.75.9514
5540.3.75.96/2840.3.75.97 to 40.3.75.11040.3.75.11114
5640.3.75.112/2840.3.75.113 to 40.3.75.12640.3.75.12714
5740.3.75.128/2840.3.75.129 to 40.3.75.14240.3.75.14314
5840.3.75.144/2840.3.75.145 to 40.3.75.15840.3.75.15914
5940.3.75.160/2840.3.75.161 to 40.3.75.17440.3.75.17514
6040.3.75.176/2840.3.75.177 to 40.3.75.19040.3.75.19114
6140.3.75.192/2840.3.75.193 to 40.3.75.20640.3.75.20714
6240.3.75.208/2840.3.75.209 to 40.3.75.22240.3.75.22314
6340.3.75.224/2840.3.75.225 to 40.3.75.23840.3.75.23914
6440.3.75.240/2840.3.75.241 to 40.3.75.25440.3.75.25514
6540.3.76.0/2840.3.76.1 to 40.3.76.1440.3.76.1514
6640.3.76.16/2840.3.76.17 to 40.3.76.3040.3.76.3114
6740.3.76.32/2840.3.76.33 to 40.3.76.4640.3.76.4714
6840.3.76.48/2840.3.76.49 to 40.3.76.6240.3.76.6314
6940.3.76.64/2840.3.76.65 to 40.3.76.7840.3.76.7914
7040.3.76.80/2840.3.76.81 to 40.3.76.9440.3.76.9514
7140.3.76.96/2840.3.76.97 to 40.3.76.11040.3.76.11114
7240.3.76.112/2840.3.76.113 to 40.3.76.12640.3.76.12714
7340.3.76.128/2840.3.76.129 to 40.3.76.14240.3.76.14314
7440.3.76.144/2840.3.76.145 to 40.3.76.15840.3.76.15914
7540.3.76.160/2840.3.76.161 to 40.3.76.17440.3.76.17514
7640.3.76.176/2840.3.76.177 to 40.3.76.19040.3.76.19114
7740.3.76.192/2840.3.76.193 to 40.3.76.20640.3.76.20714
7840.3.76.208/2840.3.76.209 to 40.3.76.22240.3.76.22314
7940.3.76.224/2840.3.76.225 to 40.3.76.23840.3.76.23914
8040.3.76.240/2840.3.76.241 to 40.3.76.25440.3.76.25514
8140.3.77.0/2840.3.77.1 to 40.3.77.1440.3.77.1514
8240.3.77.16/2840.3.77.17 to 40.3.77.3040.3.77.3114
8340.3.77.32/2840.3.77.33 to 40.3.77.4640.3.77.4714
8440.3.77.48/2840.3.77.49 to 40.3.77.6240.3.77.6314
8540.3.77.64/2840.3.77.65 to 40.3.77.7840.3.77.7914
8640.3.77.80/2840.3.77.81 to 40.3.77.9440.3.77.9514
8740.3.77.96/2840.3.77.97 to 40.3.77.11040.3.77.11114
8840.3.77.112/2840.3.77.113 to 40.3.77.12640.3.77.12714
8940.3.77.128/2840.3.77.129 to 40.3.77.14240.3.77.14314
9040.3.77.144/2840.3.77.145 to 40.3.77.15840.3.77.15914
9140.3.77.160/2840.3.77.161 to 40.3.77.17440.3.77.17514
9240.3.77.176/2840.3.77.177 to 40.3.77.19040.3.77.19114
9340.3.77.192/2840.3.77.193 to 40.3.77.20640.3.77.20714
9440.3.77.208/2840.3.77.209 to 40.3.77.22240.3.77.22314
9540.3.77.224/2840.3.77.225 to 40.3.77.23840.3.77.23914
9640.3.77.240/2840.3.77.241 to 40.3.77.25440.3.77.25514
9740.3.78.0/2840.3.78.1 to 40.3.78.1440.3.78.1514
9840.3.78.16/2840.3.78.17 to 40.3.78.3040.3.78.3114
9940.3.78.32/2840.3.78.33 to 40.3.78.4640.3.78.4714
10040.3.78.48/2840.3.78.49 to 40.3.78.6240.3.78.6314
10140.3.78.64/2840.3.78.65 to 40.3.78.7840.3.78.7914
10240.3.78.80/2840.3.78.81 to 40.3.78.9440.3.78.9514
10340.3.78.96/2840.3.78.97 to 40.3.78.11040.3.78.11114
10440.3.78.112/2840.3.78.113 to 40.3.78.12640.3.78.12714
10540.3.78.128/2840.3.78.129 to 40.3.78.14240.3.78.14314
10640.3.78.144/2840.3.78.145 to 40.3.78.15840.3.78.15914
10740.3.78.160/2840.3.78.161 to 40.3.78.17440.3.78.17514
10840.3.78.176/2840.3.78.177 to 40.3.78.19040.3.78.19114
10940.3.78.192/2840.3.78.193 to 40.3.78.20640.3.78.20714
11040.3.78.208/2840.3.78.209 to 40.3.78.22240.3.78.22314
11140.3.78.224/2840.3.78.225 to 40.3.78.23840.3.78.23914
11240.3.78.240/2840.3.78.241 to 40.3.78.25440.3.78.25514
11340.3.79.0/2840.3.79.1 to 40.3.79.1440.3.79.1514
11440.3.79.16/2840.3.79.17 to 40.3.79.3040.3.79.3114
11540.3.79.32/2840.3.79.33 to 40.3.79.4640.3.79.4714
11640.3.79.48/2840.3.79.49 to 40.3.79.6240.3.79.6314
11740.3.79.64/2840.3.79.65 to 40.3.79.7840.3.79.7914
11840.3.79.80/2840.3.79.81 to 40.3.79.9440.3.79.9514
11940.3.79.96/2840.3.79.97 to 40.3.79.11040.3.79.11114
12040.3.79.112/2840.3.79.113 to 40.3.79.12640.3.79.12714
12140.3.79.128/2840.3.79.129 to 40.3.79.14240.3.79.14314
12240.3.79.144/2840.3.79.145 to 40.3.79.15840.3.79.15914
12340.3.79.160/2840.3.79.161 to 40.3.79.17440.3.79.17514
12440.3.79.176/2840.3.79.177 to 40.3.79.19040.3.79.19114
12540.3.79.192/2840.3.79.193 to 40.3.79.20640.3.79.20714
12640.3.79.208/2840.3.79.209 to 40.3.79.22240.3.79.22314
12740.3.79.224/2840.3.79.225 to 40.3.79.23840.3.79.23914
12840.3.79.240/2840.3.79.241 to 40.3.79.25440.3.79.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses